<?php

namespace App\Classes\Modules\Companies\Standards\Validators;


use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\Companies\DataTransferObjects\CompanyObject;

class CompanyValidation extends AbstractValidation
{


    /**
     * @param CompanyObject $object
     * @return array
     */
    protected function data($object): array {
        return [
            'reference_no' => $object->getReferenceNo(),
            'name' => $object->getName(),
            'type' => $object->getType()
        ];
    }

    /**
     * @return array
     */
    protected function rules(): array {
        return [
            'reference_no' => 'required',
            'name' => 'required',
            'type' => 'required'
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array {
        return [];
    }

}